curl -X GET 'https://api.example.com/resources/resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN'
{
"id": "resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceTypeId": "resource_type_document",
"scopeId": "scope_engineering",
"externalResourceId": "doc-123",
"displayName": "Project Roadmap",
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "user-1"
}
Resources
Get Resource
Get a resource by ID
GET
/
resources
/
{id}
curl -X GET 'https://api.example.com/resources/resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN'
{
"id": "resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceTypeId": "resource_type_document",
"scopeId": "scope_engineering",
"externalResourceId": "doc-123",
"displayName": "Project Roadmap",
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "user-1"
}
Path Parameters
ID of the resource
Response
Returns the resource object.curl -X GET 'https://api.example.com/resources/resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN'
{
"id": "resource_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceTypeId": "resource_type_document",
"scopeId": "scope_engineering",
"externalResourceId": "doc-123",
"displayName": "Project Roadmap",
"createdAt": "2024-01-15T10:30:00Z",
"createdBy": "user-1"
}
Was this page helpful?
⌘I